[Settings][SIM PIN] The ‘ok’ button is available, even if you don't input any words.

VERIFIED FIXED

Status

Firefox OS
Gaia::System
VERIFIED FIXED
3 years ago
3 years ago

People

(Reporter: Jessica, Assigned: albertopq)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.0 affected, b2g-v2.1 affected, b2g-v2.2 affected, b2g-master verified)

Details

(Whiteboard: [v2.2-nexus-5-l])

Attachments

(4 attachments)

(Reporter)

Description

3 years ago
Created attachment 8629876 [details]
logcat_2055.txt

[1.Description]:[Flame v2.2 & master][Nexus5 v2.2 & master][Settings] After you turn off airplane mode, even if you don't input any words, the 'ok' button is available when you tap it.
Time:20:55
See attachment logcat_2055.txt and 2055.3gp.

[2.Testing Steps]: 
Precondition:You have an SIM card with PIN code on the  DUT.
1.Turn on airplane mode.
2.Turn off airplane mode.
3.Tap ‘ok’ button.

[3.Expected Result]: 
3.The ‘ok’ button should be unavailable.

[4.Actual Result]: 
3.The ‘ok’ button is available.

[5.Reproduction build]: 
Flame 2.2 version(Affected):
Build ID               20150705162505
Gaia Revision          ea11f422b687a982f0a961c9aea7858066561707
Gaia Date              2015-07-02 23:37:50
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/c0214b4c1ea0
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150705.200108
Firmware Date          Sun Jul  5 20:01:20 EDT 2015
Bootloader             L1TC000118D0

Flame master version(Affected):
Build ID               20150705160206
Gaia Revision          dc6c18c0dea7af3c40bfff86c530fd877d899dc4
Gaia Date              2015-07-04 01:35:20
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/136c41fca853
Gecko Version          42.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150705.193055
Firmware Date          Sun Jul  5 19:31:07 EDT 2015
Bootloader             L1TC000118D0

Nexus5 2.2 version(Affected):
Build ID               20150705002505
Gaia Revision          ea11f422b687a982f0a961c9aea7858066561707
Gaia Date              2015-07-02 23:37:50
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/c0214b4c1ea0
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150705.041046
Firmware Date          Sun Jul  5 04:11:05 EDT 2015
Bootloader             HHZ12f

Nexus5 master version(Affected):
Build ID               20150705160206
Gaia Revision          dc6c18c0dea7af3c40bfff86c530fd877d899dc4
Gaia Date              2015-07-04 01:35:20
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/136c41fca853
Gecko Version          42.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150705.193225
Firmware Date          Sun Jul  5 19:32:44 EDT 2015
Bootloader             HHZ12f

[6.Reproduction Frequency]: 
Always Recurrence,10/10

[7.TCID]: 
Free test

[8.Note]:
In FTU, the ‘ok’ button is unuseable.
(Reporter)

Comment 1

3 years ago
Created attachment 8629877 [details]
2055.3gp
(Reporter)

Updated

3 years ago
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected
I think it is as design. However, ni sim pin developer. 
Alberto, could you clarify?
Flags: needinfo?(apastor)
Summary: [Settings] The ‘ok’ button is available, even if you don't input any words. → [Settings][SIM PIN] The ‘ok’ button is available, even if you don't input any words.
(Assignee)

Comment 3

3 years ago
Mhm, I'm not sure. Probably UX are the right persons to ask. In my opinion, is a bug. Is 2.1 affected?
Flags: needinfo?(apastor)
Keywords: qawanted

Comment 4

3 years ago
This issue is affecting Flame 2.1 as well as 2.0.

Result: The ‘ok’ button is available.

Environmental Variables:
Device: Flame 2.1 Kk Full flash (319mb)
Build ID: 20150707001206
Gaia: d13826b20b4a45e3f5cd4b25a30a737d8be7f1b9
Gecko: 37de99064c33
Gonk: bd9cb3af2a0354577a6903917bc826489050b40d
Version: 34.0 (2.1)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:34.0) Gecko/34.0 Firefox/34.0

Environmental Variables:
Device: Flame 2.0 Kk Full flash (319mb)
Build ID: 20150707000204
Gaia: 43607033ac3ecd068ac0fa226403db384a59429d
Gecko: 583e9fddccbf
Gonk: bd9cb3af2a0354577a6903917bc826489050b40d
Version: 32.0 (2.0)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:32.0) Gecko/32.0 Firefox/32.0
QA Whiteboard: [QAnalyst-Triage?]
status-b2g-v2.0: --- → affected
status-b2g-v2.1: --- → affected
Flags: needinfo?(jmercado)
Keywords: qawanted
QA Whiteboard: [QAnalyst-Triage?] → [QAnalyst-Triage+]
Flags: needinfo?(jmercado)
I found the 'ok' is grayed out during the 1st time FTU (after flashing). so, basically, they are inconsistent and we need to decide which one is good.

Need UX input here. @Helen, could you help here?
Flags: needinfo?(hhuang)
According to the building block, the 'ok' button should be greyed out if the input field is empty.
Flags: needinfo?(hhuang)
Flags: needinfo?(apastor)
(Assignee)

Updated

3 years ago
Assignee: nobody → apastor
Flags: needinfo?(apastor)
Created attachment 8633521 [details] [review]
[gaia] albertopq:1180620-pin-button > mozilla-b2g:master
(Assignee)

Updated

3 years ago
Attachment #8633521 - Flags: review?(etienne)
Attachment #8633521 - Flags: review?(etienne) → review+
(Assignee)

Comment 8

3 years ago
master: https://github.com/mozilla-b2g/gaia/commit/92f12151b23ca533f7aeceddb8fe36b81c866fc0
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
Keywords: verifyme
(Reporter)

Comment 9

3 years ago
Created attachment 8636466 [details]
verified_Flame master.3gp

According to the STR of  Comment 0, this bug has been verified as pass on latest Nightly Flame master and Nexus5 master.

Actual results: After turning off airplane mode, the 'ok' button is unavailable before you haven't input any words.
See attachment: verified_Flame master.3gp
Reproduce rate: 0/6

Device: Flame master (Pass)
Build ID               20150720010206
Gaia Revision          3fac3ed7b8c887351098ffc677769ddc36abb3d0
Gaia Date              2015-07-17 17:53:41
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/202e9233d130
Gecko Version          42.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150720.044158
Firmware Date          Mon Jul 20 04:42:10 EDT 2015
Bootloader             L1TC000118D0

Device: Nexus5 master (Pass)
Build ID               20150720160206
Gaia Revision          4fe0507781f3ed56c8ae5e66dd9489165d1ff68e
Gaia Date              2015-07-20 16:09:12
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/d00e4167b482
Gecko Version          42.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150720.191854
Firmware Date          Mon Jul 20 19:19:13 EDT 2015
Bootloader             HHZ12f
(Reporter)

Updated

3 years ago
QA Whiteboard: [QAnalyst-Triage+] → [QAnalyst-Triage+] [MGSEI-Triage+]
status-b2g-master: affected → verified
Keywords: verifyme
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.